Search customer transactions.

Finds the most relevant transactions matching the user_input text.

An initial free text search will then suggest suggested_searches which use structured data e.g. category_l1 or merchant_name.

At most one of the following query parameters can be used per request, if multiple are set the endpoint will return a Bad Request response (if none are set, transactions will be returned with no filtering to facilitate showing an initial transaction list to the user):

  • user_input
  • merchant_name
  • category_l1
  • category_l2
  • description
  • tag

This endpoint also provides a link to view an AI-generated insight about the current search. Please wait for the allotted insight.url_delay before following this link to avoid unnecessary polling before the insight has been generated.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
length ≤ 512
string
length ≤ 512
string
length ≤ 512
string
length ≤ 512
string
length ≤ 512
string
length ≤ 512
string
length ≤ 512

Account id used to filter results. If multiple account ids are supplied, transactions from all of the supplied accounts will be included in results.

string
enum
Allowed:
number
≥ 0

Include transactions with an amount value greater than or equal to the specified value

number

Include transactions with an amount value less than or equal to the specified value. Must be greater than 0.

string

The date from when results are to be retrieved in the format RFC 3339.

Examples:

  • 2023-01-17T17:29:51Z
  • 2023-01-17T17:29:51-08:00
string

The date up to when results are to be retrieved in the format RFC 3339.

Examples:

  • 2023-03-17T17:29:51Z
  • 2023-03-17T17:29:51-08:00
string

Use this parameter to fetch a specific page of results. Provided by the next_page_token field in the previous request.

integer

Use this parameter to set the maximum number of results to be returned. This defaults to 25, and has a maximum of 100.

Headers
string
required

The API Client Identifier (Service Application Identifier).

uuid
required

A unique identifier for a Customer, as registered on Bud's platform.

string

Use the internal client identifier, provided in the client_metadata object when creating the customer in Create Customer V3, in place of an X-Customer-Id header.

string
required

The tz database identifier for the user's timezone.

string
enum
Defaults to application/bud-transaction-v3+json

The requested transaction format (e.g. full transaction model vs only IDs)

Allowed:
Responses

400

Bad Request

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/bud-transaction-v3+json
application/bud-transaction-id+json